Page MenuHomePhabricator

Find and fix any references to parent_contribution_id or the "RFD" trxn_id prefix
Closed, ResolvedPublic2 Story Points

Description

There are 10 references to parent_contribution_id, which need to be rewritten, and 15 references to "RFD".

Decided in IRC: we will keep the 'RFD' prefix, but only when we have to create a second contribution to balance a partial refund or over-refund.

Event Timeline

awight created this task.Jan 26 2016, 10:59 PM
awight assigned this task to Eileenmcnaughton.
awight raised the priority of this task from to High.
awight lowered the priority of this task from High to Normal.
awight updated the task description. (Show Details)
awight set Security to None.
awight added subscribers: Ejegg, gerritbot, Eileenmcnaughton and 4 others.

Functions that refer to parent_contribution_id

globalcollect_audit_find_missing_gc_trxns
wmf_civicrm_get_child_contributions_from_gateway_id
wmf_civicrm_get_child_contributions_from_contribution_id
wmf_civicrm_mark_refund

(other instances are install & comments)

Assuming mark_refund is adequately dealt with elsewhere....

The 2 get_child functions are called from
negative_transaction_exists_in_civi (BaseAuditProcessor class)
globalcollect_audit_get_child_contributions_from_whatever_this_is

The latter is called from
globalcollect_audit_find_more_missing

MBeat33 removed a subscriber: MBeat33.Feb 9 2016, 11:45 PM
Ejegg claimed this task.Feb 9 2016, 11:54 PM
Ejegg updated the task description. (Show Details)
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Cat Herding board.

Change 269567 had a related patch set uploaded (by Ejegg):
Don't require gateway_refund_id

https://gerrit.wikimedia.org/r/269567

Change 269569 had a related patch set uploaded (by Ejegg):
Remove unnecessary keys from Globalcollect refunds

https://gerrit.wikimedia.org/r/269569

Change 269570 had a related patch set uploaded (by Ejegg):
Update archaic chargeback import logic

https://gerrit.wikimedia.org/r/269570

Change 269716 had a related patch set uploaded (by Ejegg):
Update audit refund matching logic

https://gerrit.wikimedia.org/r/269716

Change 269569 merged by Eileen:
Remove unnecessary keys from Globalcollect refunds

https://gerrit.wikimedia.org/r/269569

Change 269567 merged by Eileen:
Don't require gateway_refund_id

https://gerrit.wikimedia.org/r/269567

Change 269570 merged by jenkins-bot:
Update archaic chargeback import logic

https://gerrit.wikimedia.org/r/269570

Change 269716 merged by Eileen:
Update audit refund matching logic

https://gerrit.wikimedia.org/r/269716

Eileenmcnaughton closed this task as Resolved.Feb 17 2016, 11:46 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:41 PM